package com.bocloud.cmp.model;

public class ApplyModel {
    private String category;
    private String catalog;
    private Long target;
    private String params;
    private String operate;
    private Long userId;
    private Long tenantId;

    public ApplyModel() {
    }

    public ApplyModel(String category, String catalog, Long target, String params, String operate, Long userId,
                      Long tenantId) {
        super();
        this.category = category;
        this.catalog = catalog;
        this.target = target;
        this.params = params;
        this.operate = operate;
        this.userId = userId;
        this.tenantId = tenantId;
    }

    /**
     * @return the category
     */
    public String getCategory() {
        return category;
    }

    /**
     * @param category the category to set
     */
    public void setCategory(String category) {
        this.category = category;
    }

    /**
     * @return the catalog
     */
    public String getCatalog() {
        return catalog;
    }

    /**
     * @param catalog the catalog to set
     */
    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    /**
     * @return the target
     */
    public Long getTarget() {
        return target;
    }

    /**
     * @param target the target to set
     */
    public void setTarget(Long target) {
        this.target = target;
    }

    /**
     * @return the params
     */
    public String getParams() {
        return params;
    }

    /**
     * @param params the params to set
     */
    public void setParams(String params) {
        this.params = params;
    }

    /**
     * @return the operate
     */
    public String getOperate() {
        return operate;
    }

    /**
     * @param operate the operate to set
     */
    public void setOperate(String operate) {
        this.operate = operate;
    }

    /**
     * @return the userId
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * @param userId the userId to set
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * @return the tenantId
     */
    public Long getTenantId() {
        return tenantId;
    }

    /**
     * @param tenantId the tenantId to set
     */
    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }
}
